apiVersion: v1
kind: PersistentVolume
metadata:
  annotations:
    pv.kubernetes.io/provisioned-by: openshift-storage.rbd.csi.ceph.com
    volume.kubernetes.io/provisioner-deletion-secret-name: rook-csi-rbd-provisioner
    volume.kubernetes.io/provisioner-deletion-secret-namespace: openshift-storage
  creationTimestamp: "2025-10-14T04:55:51Z"
  finalizers:
  - external-provisioner.volume.kubernetes.io/finalizer
  - kubernetes.io/pv-protection
  name: pvc-91e80701-aad4-4127-a7b6-448737c5e1d6
  resourceVersion: "21692597"
  uid: 14fead26-62ba-46e9-8f81-35fcf83ef628
spec:
  accessModes:
  - ReadWriteOnce
  capacity:
    storage: 2Gi
  claimRef:
    apiVersion: v1
    kind: PersistentVolumeClaim
    name: pvc1
    namespace: yan2
    resourceVersion: "21692592"
    uid: 91e80701-aad4-4127-a7b6-448737c5e1d6
  csi:
    controllerExpandSecretRef:
      name: rook-csi-rbd-provisioner
      namespace: openshift-storage
    driver: openshift-storage.rbd.csi.ceph.com
    fsType: ext4
    nodeStageSecretRef:
      name: rook-csi-rbd-node
      namespace: openshift-storage
    volumeAttributes:
      clusterID: openshift-storage
      imageFeatures: layering,deep-flatten,exclusive-lock,object-map,fast-diff
      imageFormat: "2"
      imageName: csi-vol-4e4f9ab2-2c90-44a9-bbe0-30167b518154
      journalPool: ocs-storagecluster-cephblockpool
      mapOptions: krbd:rxbounce
      mounter: rbd
      pool: ocs-storagecluster-cephblockpool
      storage.kubernetes.io/csiProvisionerIdentity: 1758812522565-3037-openshift-storage.rbd.csi.ceph.com
    volumeHandle: 0001-0011-openshift-storage-0000000000000001-4e4f9ab2-2c90-44a9-bbe0-30167b518154
  persistentVolumeReclaimPolicy: Delete
  storageClassName: ocs-storagecluster-ceph-rbd-virtualization
  volumeMode: Filesystem
status:
  lastPhaseTransitionTime: "2025-10-14T04:55:51Z"
  phase: Pending
